Deployments.ai Docs
Tenancy

List pending invitations

GET /v1/invitations · SDK listOrganizationInvitations · CLI deployments invitation list

GET
/v1/invitations

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListOrganizationInvitationsResponse

application/json
  1. response
items*array<>
nextCursor?|null|null
curl -X GET "https://example.com/v1/invitations" \  -H "x-deployments-organization: string"
{  "items": [    {      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 1,      "acceptedAt": "2019-08-24T14:15:22Z",      "acceptedByPrincipalId": "string",      "email": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "id": "string",      "invitedByPrincipalId": "string",      "organizationId": "string",      "revokedAt": "2019-08-24T14:15:22Z",      "role": "admin",      "status": "accepted"    }  ],  "nextCursor": "string"}